export function playAnimation(map,data,line){
    console.log("playAnimation",line)
    if(!data.animateMarker){
        data.animateMarker = new AMap.Marker({
            map: map,
            position: [0,0],
            icon: "https://a.amap.com/jsapi_demos/static/demo-center-v2/car.png",
            offset: new AMap.Pixel(-13, -26),
            autoRotation: true
        })
    }

    if(!data.infoWindow){
        data.infoWindow = new AMap.InfoWindow({
            offset: new AMap.Pixel(6, -25),
            content: "",
            isCustom: true
        });
    }

    let path = line.map((item) => {
        return new AMap.LngLat(item.longitude, item.latitude)
    })

    let index = 0
    data.animateMarker.stopMove();
    data.animateMarker.on("movealong",()=>{})
    data.animateMarker.on("moving",(e)=>{
        let lastLocation = e.passedPath[e.passedPath.length - 1];
        data.infoWindow.setPosition(lastLocation);
        let speed = ((line[e.index].speed||0) * 3.6).toFixed(2)
        data.infoWindow.setContent(`<div style="width:100px;background: #fff;border-radius: 5px">${speed} km/h</div>`);
        map.setCenter(e.target.getPosition(),true)
    })
    data.animateMarker.on("moveend",()=>{
        index++

        if(index === line.length-1){
            setTimeout(()=>{
                map.remove(data.animateMarker)
                data.infoWindow.close()
            },100)
        }
    })
    let polyline = new AMap.Polyline({
        path: path,
    })
    data.animateMarker.moveAlong(polyline.getPath(),{
        duration: 1000/60,
        autoRotation: true
    });
    data.infoWindow.open(map, data.animateMarker.getPosition())
}
